package com.gingersoft.gsa.other_order_mode.ui.adapter

import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.BaseViewHolder
import com.gingersoft.gsa.other_order_mode.R
import com.gingersoft.gsa.other_order_mode.data.model.bean.BtnBuilder

class OrderDetailsAdapter(list: List<BtnBuilder.BtnBean>) : BaseQuickAdapter<BtnBuilder.BtnBean, BaseViewHolder>(R.layout.item_btn, list) {

    override fun convert(helper: BaseViewHolder, item: BtnBuilder.BtnBean) {
        helper.setText(R.id.tv_btn_content, item.btnContent)
        helper.setBackgroundRes(R.id.layout_btn_item, item.btnColor)
        helper.setImageResource(R.id.iv_btn_mark, item.btnImg)
    }


}